"""
Just try to call our plugin
"""


def test_plugin_test_multiplication(pytester, simple_test_csv, simple_fruit_test):
    """
    Simple Roundtrip Smoke Test
    """

    csv_file = str(pytester.makefile(".csv", simple_test_csv).absolute())

    pytester.makepyfile(simple_fruit_test(csv_file))

    result = pytester.runpytest("-p", "no:bandit")
    result.assert_outcomes(passed=3, failed=1)


def test_plugin_test_error(pytester, bad_test_csv, simple_fruit_test):
    """
    Simple Error Behaviour Test
    """

    csv_file = str(pytester.makefile(".csv", bad_test_csv).absolute())

    pytester.makepyfile(simple_fruit_test(csv_file))

    result = pytester.runpytest("-p", "no:bandit")
    result.assert_outcomes(errors=1)
